Межсайтовый скриптинг и SQL-инъекция в Drupal Bibliography

Дата публикации:
17.08.2006
Дата изменения:
17.10.2006
Всего просмотров:
1640
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4108
CVE-2006-4109
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Bibliography 4.x (модуль к Drupal)
Уязвимые версии: Bibliography (модуль к Drupal) 4.7 и более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: drupal.org/project/biblio

Решение: Установите исправление с сайта производителя.

Ссылки: DRUPAL-SA-2006-015: Multiple vulnerabilities in Bibliography

или введите имя

CAPTCHA